Bug 1363669 - [abrt] evince: cmsGetColorSpace(): evince-thumbnailer killed by SIGSEGV
Summary: [abrt] evince: cmsGetColorSpace(): evince-thumbnailer killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac87bb7667946b7e5ad85429cb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 10:32 UTC by Eric Reitmaier
Modified: 2016-10-11 23:22 UTC (History)
6 users (show)

Fixed In Version: poppler-0.41.0-3.fc24 poppler-0.45.0-2.fc25 poppler-0.34.0-4.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 00:55:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.71 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: cgroup (244 bytes, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: core_backtrace (2.63 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: dso_list (8.44 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: environ (1.26 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: exploitable (82 bytes, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: limits (1.29 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: maps (40.30 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: mountinfo (3.25 KB, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: namespaces (102 bytes, text/plain)
2016-08-03 10:32 UTC, Eric Reitmaier
no flags Details
File: open_fds (588 bytes, text/plain)
2016-08-03 10:33 UTC, Eric Reitmaier
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-08-03 10:33 UTC, Eric Reitmaier
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-08-03 10:33 UTC, Eric Reitmaier
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 97870 None None None 2016-09-20 09:08:24 UTC

Description Eric Reitmaier 2016-08-03 10:32:40 UTC
Version-Release number of selected component:
evince-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        evince-thumbnailer -s 128 file:///home/ericr/Downloads/Contacts%20-%20LightArrow%20Inc.pdf /home/ericr/.thumbnails/normal/2d51564244ec0bf8cb857d2344188adc.png
crash_function: cmsGetColorSpace
executable:     /usr/bin/evince-thumbnailer
global_pid:     4417
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 cmsGetColorSpace at cmsio0.c:934
 #1 GfxICCBasedColorSpace::parse at GfxState.cc:2044
 #2 GfxColorSpace::parse at GfxState.cc:406
 #3 Page::loadThumb at Page.cc:689
 #4 poppler_page_get_thumbnail at poppler-page.cc:491
 #5 pdf_document_get_thumbnail at ev-poppler.cc:488
 #6 evince_thumbnail_pngenc_get at evince-thumbnailer.c:182

Potential duplicate: bug 1293445

Comment 1 Eric Reitmaier 2016-08-03 10:32:46 UTC
Created attachment 1187004 [details]
File: backtrace

Comment 2 Eric Reitmaier 2016-08-03 10:32:47 UTC
Created attachment 1187005 [details]
File: cgroup

Comment 3 Eric Reitmaier 2016-08-03 10:32:48 UTC
Created attachment 1187006 [details]
File: core_backtrace

Comment 4 Eric Reitmaier 2016-08-03 10:32:50 UTC
Created attachment 1187007 [details]
File: dso_list

Comment 5 Eric Reitmaier 2016-08-03 10:32:51 UTC
Created attachment 1187008 [details]
File: environ

Comment 6 Eric Reitmaier 2016-08-03 10:32:53 UTC
Created attachment 1187009 [details]
File: exploitable

Comment 7 Eric Reitmaier 2016-08-03 10:32:54 UTC
Created attachment 1187010 [details]
File: limits

Comment 8 Eric Reitmaier 2016-08-03 10:32:56 UTC
Created attachment 1187011 [details]
File: maps

Comment 9 Eric Reitmaier 2016-08-03 10:32:57 UTC
Created attachment 1187012 [details]
File: mountinfo

Comment 10 Eric Reitmaier 2016-08-03 10:32:58 UTC
Created attachment 1187013 [details]
File: namespaces

Comment 11 Eric Reitmaier 2016-08-03 10:33:00 UTC
Created attachment 1187014 [details]
File: open_fds

Comment 12 Eric Reitmaier 2016-08-03 10:33:01 UTC
Created attachment 1187015 [details]
File: proc_pid_status

Comment 13 Eric Reitmaier 2016-08-03 10:33:02 UTC
Created attachment 1187016 [details]
File: var_log_messages

Comment 14 Marek Kašík 2016-09-20 09:08:25 UTC
I've reported this to upstream at https://bugs.freedesktop.org/show_bug.cgi?id=97870. I'll wait whether he will accept my patch and will backport it then.

Comment 15 Fedora Update System 2016-09-27 05:22:04 UTC
poppler-0.34.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab35400bb1

Comment 16 Fedora Update System 2016-09-27 06:20:37 UTC
poppler-0.41.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1339074a6

Comment 17 Fedora Update System 2016-09-27 07:21:26 UTC
poppler-0.45.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06e0cad5a1

Comment 18 Fedora Update System 2016-09-29 00:55:30 UTC
poppler-0.41.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-10-09 02:50:30 UTC
poppler-0.45.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-11 23:22:06 UTC
poppler-0.34.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.